## GDataGDWhere

GDataGDWhere — GData where element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDWhere * | gdata_gd_where_new ()
const gchar * | gdata_gd_where_get_relation_type ()
void | gdata_gd_where_set_relation_type ()
const gchar * | gdata_gd_where_get_value_string ()
void | gdata_gd_where_set_value_string ()
const gchar * | gdata_gd_where_get_label ()
void | gdata_gd_where_set_label ()

## Properties

gchar * | label | Read / Write
gchar * | relation-type | Read / Write
gchar * | value-string | Read / Write

## Types and Values

#define | GDATA_GD_WHERE_EVENT
#define | GDATA_GD_WHERE_EVENT_ALTERNATE
#define | GDATA_GD_WHERE_EVENT_PARKING
| GDataGDWhere
| GDataGDWhereClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDWhere

## Implemented Interfaces

GDataGDWhere implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-where.h>

## Description

GDataGDWhere represents a "where" element from the

GData specification.

## Functions

### gdata_gd_where_new ()

    GDataGDWhere *
    gdata_gd_where_new (const gchar *relation_type,
                        const gchar *value_string,
                        const gchar *label);

Creates a new GDataGDWhere. More information is available in the GData specification.

Currently, entryLink functionality is not implemented in GDataGDWhere.

#### Parameters

relation_type | the relationship between the item and this place, or `NULL`. | [allow-none]
value_string | a string to represent the place, or `NULL`. | [allow-none]
label | a human-readable label for the place, or `NULL`. | [allow-none]

#### Returns

a new GDataGDWhere; unref with `g_object_unref()`

Since: 0.2.0

### gdata_gd_where_get_relation_type ()

    const gchar *
    gdata_gd_where_get_relation_type (GDataGDWhere *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGDWhere |

#### Returns

the relation type, or `NULL`

Since: 0.4.0

### gdata_gd_where_set_relation_type ()

    void
    gdata_gd_where_set_relation_type (GDataGDWhere *self,
                                      const gchar *relation_type);

Sets the “relation-type” property to `relation_type` .

Set `relation_type` to `NULL` to unset the property.

#### Parameters

self | a GDataGDWhere |
relation_type | the new relation type, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_where_get_value_string ()

    const gchar *
    gdata_gd_where_get_value_string (GDataGDWhere *self);

Gets the “value-string” property.

#### Parameters

self | a GDataGDWhere |

#### Returns

the value string, or `NULL`

Since: 0.4.0

### gdata_gd_where_set_value_string ()

    void
    gdata_gd_where_set_value_string (GDataGDWhere *self,
                                     const gchar *value_string);

Sets the “value-string” property to `value_string` .

Set `value_string` to `NULL` to unset the property.

#### Parameters

self | a GDataGDWhere |
value_string | the new value string, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_where_get_label ()

    const gchar *
    gdata_gd_where_get_label (GDataGDWhere *self);

Gets the “label” property.

#### Parameters

self | a GDataGDWhere |

#### Returns

the label, or `NULL`

Since: 0.4.0

### gdata_gd_where_set_label ()

    void
    gdata_gd_where_set_label (GDataGDWhere *self,
                              const gchar *label);

Sets the “label” property to `label` .

Set `label` to `NULL` to unset the property.

#### Parameters

self | a GDataGDWhere |
label | the new label, or `NULL`. | [allow-none]

Since: 0.4.0

## Types and Values

### GDATA_GD_WHERE_EVENT

    #define GDATA_GD_WHERE_EVENT "http://schemas.google.com/g/2005#event"

The relation type URI for an event location.

Since: 0.7.0

### GDATA_GD_WHERE_EVENT_ALTERNATE

    #define GDATA_GD_WHERE_EVENT_ALTERNATE "http://schemas.google.com/g/2005#event.alternate"

The relation type URI for an alternate event location, such as a video conference site.

Since: 0.7.0

### GDATA_GD_WHERE_EVENT_PARKING

    #define GDATA_GD_WHERE_EVENT_PARKING "http://schemas.google.com/g/2005#event.parking"

The relation type URI for an event's parking lot.

Since: 0.7.0

### GDataGDWhere

    typedef struct _GDataGDWhere GDataGDWhere;

All the fields in the GDataGDWhere structure are private and should never be accessed directly.

Since: 0.2.0

### GDataGDWhereClass

    typedef struct {
    } GDataGDWhereClass;

All the fields in the GDataGDWhereClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“label”` property

      “label”                    gchar *

Specifies a user-readable label to distinguish this location from others.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“relation-type”` property

      “relation-type”            gchar *

Specifies the relationship between the containing entity and the contained location. For example: `GDATA_GD_WHERE_EVENT` or `GDATA_GD_WHERE_EVENT_PARKING`.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“value-string”` property

      “value-string”             gchar *

A simple string representation of this location.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0